Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deGroupBrush Class Reference

`#include <deBrush_priv.hpp>`

Inheritance diagram for deGroupBrush:

[legend]
Collaboration diagram for deGroupBrush:

[legend]
List of all members.

## Public Member Functions
| deGroupBrush ()
| ~deGroupBrush ()
bool | AddBrush (IdeBrush *brush)
bool | RemoveBrush (IdeBrush *brush)
void | GetBrushList (deTList< IdeBrush * > &list)
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
deBrush * | CopyBrush ()
void | SpecificRotate (deVec3d Center, deTransformInfo &M)
void | SpecificTranslate (deVec3d Delta)
void | SpecificScale (deVec3d Center, deDouble Scale)
## Private Member Functions
void | UpdateBrush ()
## Private Attributes
deTList< IdeBrush * > | m_BrushList

## Constructor & Destructor Documentation

deGroupBrush::deGroupBrush | ( |  | ) |

deGroupBrush::~deGroupBrush | ( |  | ) |

## Member Function Documentation

bool deGroupBrush::AddBrush | ( | IdeBrush * | brush | ) | `[virtual]`

| Implements IdeGroupBrush.

deBrush * deGroupBrush::CopyBrush | ( |  | ) | `[protected, virtual]`

| Implements deBrush.

void deGroupBrush::GetBrushList | ( | deTList< IdeBrush * > & | list | ) |

bool deGroupBrush::RemoveBrush | ( | IdeBrush * | brush | ) | `[virtual]`

| Implements IdeGroupBrush.

void deGroupBrush::SpecificRotate | ( | deVec3d | Center,
|  | deTransformInfo & | M
| ) | `[protected, virtual]`

| Reimplemented from deBrush.

void deGroupBrush::SpecificScale | ( | deVec3d | Center,
|  | deDouble | Scale
| ) | `[protected, virtual]`

| Reimplemented from deBrush.

void deGroupBrush::SpecificTranslate | ( | deVec3d | Delta | ) | `[protected, virtual]`

| Reimplemented from deBrush.

void deGroupBrush::UpdateBrush | ( |  | ) | `[private, virtual]`

| Implements deBrush.

## Member Data Documentation

deTList<IdeBrush*> deGroupBrush::m_BrushList`[private]`

deGroupBrush::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deBrush_priv.hpp
- GroupBrush.cpp